/******************************************************************************
 JTEUndoPaste.h

	Interface for the JTEUndoPaste class.

	Copyright © 1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JTEUndoPaste
#define _H_JTEUndoPaste

#include <JTEUndoTextBase.h>

class JTEUndoPaste : public JTEUndoTextBase
{
public:

	JTEUndoPaste(JTextEditor* te, const JSize pasteLength);

	virtual ~JTEUndoPaste();

	virtual void	Undo();

private:

	JIndex	itsOrigSelStart;
	JIndex	itsLength;

private:

	// not allowed

	JTEUndoPaste(const JTEUndoPaste& source);
	const JTEUndoPaste& operator=(const JTEUndoPaste& source);
};

#endif
